Bug 143700 - [update] www/drupa6-cck: Update to 6.x-2.6
Summary: [update] www/drupa6-cck: Update to 6.x-2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-09 14:10 UTC by Anderson S. Ferreira
Modified: 2010-02-10 14:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson S. Ferreira 2010-02-09 14:10:03 UTC
Drupal-cck module update to 6.x-2.6

Fix: 

---
Aviso de confidencialidade:

Esta mensagem da Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
empresa pública federal regida pelo disposto na Lei Federal nº 5.851, 
de 7 de dezembro de 1972, é enviada exclusivamente a seu destinatário 
e pode conter informações confidenciais, protegidas por sigilo profissional. 
Sua utilização desautorizada é ilegal e sujeita o infrator às penas da lei. 
Se você a recebeu indevidamente, queira, por gentileza, reenviá-la ao emitente, 
esclarecendo o equívoco.

Confidentiality note:

This message from Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
a government company established under Brazilian law (5.851/72), 
is directed exclusively to its addressee and may contain confidential data, 
protected under professional secrecy rules. Its unauthorized use is illegal 
and may subject the transgressor to the law's penalties. 
If you are not the addressee, please send it back, elucidating the failure.--CrRNS7fWpgvMN0GurWfTVfkjnCxqNu6bO9zBkFXyzMSjRdJC
Content-Type: text/plain; name="drupal6-cck.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="drupal6-cck.patch"

diff -Nur drupal6-cck.old/Makefile drupal6-cck/Makefile
--- drupal6-cck.old/Makefile	2010-02-05 09:44:47.000000000 -0200
+++ drupal6-cck/Makefile	2010-02-09 11:40:06.000000000 -0200
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	cck
-DISTVERSION=	6.x-2.2
-PORTREVISION=	1
+DISTVERSION=	6.x-2.6
 CATEGORIES=	www
 MASTER_SITES=	http://ftp.drupal.org/files/projects/
 
@@ -15,25 +14,23 @@
 COMMENT=	Drupal 6 Content Construction Kit module
 
 DRUPAL6_MODULE=	yes
-MODULE_DIRS=	help \
-		includes/views/handlers includes/views includes \
-		modules/content_copy/translations modules/content_copy \
-		modules/content_multigroup/translations \
-		modules/content_multigroup \
-		modules/content_permissions/translations \
-		modules/content_permissions \
-		modules/fieldgroup/translations modules/fieldgroup  \
-		modules/nodereference/help \
-		modules/nodereference/translations modules/nodereference \
-		modules/number/help \
-		modules/number/translations modules/number \
-		modules/optionwidgets/help \
-		modules/optionwidgets/translations modules/optionwidgets \
-		modules/text/help modules/text/translations modules/text \
-		modules/userreference/help \
-		modules/userreference/translations modules/userreference \
-		modules tests theme \
-		translations/help/de translations/help translations
+MODULE_DIRS=	translations/help/de translations/help translations \
+		theme tests \
+		modules/userreference/translations modules/userreference/panels/relationships \
+		modules/userreference/panels modules/userreference/help modules/userreference \
+		modules/text/translations modules/text/help modules/text \
+		modules/optionwidgets/translations modules/optionwidgets/help \
+		modules/optionwidgets modules/number/translations modules/number/help \
+		modules/number modules/nodereference/translations \
+		modules/nodereference/panels/relationships modules/nodereference/panels \
+		modules/nodereference/help modules/nodereference \
+		modules/fieldgroup/translations modules/fieldgroup/panels/content_types \
+		modules/fieldgroup/panels modules/fieldgroup \
+		modules/content_permissions/translations modules/content_permissions \
+		modules/content_multigroup modules/content_copy/translations \
+		modules/content_copy modules includes/views/handlers includes/views \
+		includes/panels/content_types includes/panels includes help
+
 MODULE_FILES=	help/add-existing-field.html \
 		help/add-existing-field.png \
 		help/add-new-field.html \
@@ -61,70 +58,82 @@
 		content.install \
 		content.js \
 		content.module \
+		includes/panels/content_types/content_field.inc \
+		includes/panels/content_types/icon_cck_field.png \
+		includes/content.admin.inc \
+		includes/content.crud.inc \
+		includes/content.devel.inc \
+		includes/content.diff.inc \
+		includes/content.node_form.inc \
+		includes/content.rules.inc \
+		includes/content.token.inc \
 		includes/views/handlers/content_handler_argument.inc \
 		includes/views/handlers/content_handler_argument_many_to_one.inc \
 		includes/views/handlers/content_handler_argument_numeric.inc \
+		includes/views/handlers/content_handler_argument_reference.inc \
 		includes/views/handlers/content_handler_argument_string.inc \
 		includes/views/handlers/content_handler_field.inc \
 		includes/views/handlers/content_handler_field_multiple.inc \
 		includes/views/handlers/content_handler_filter_float.inc \
 		includes/views/handlers/content_handler_filter_many_to_one.inc \
 		includes/views/handlers/content_handler_filter_numeric.inc \
+		includes/views/handlers/content_handler_sort.inc \
 		includes/views/handlers/content_handler_filter_string.inc \
 		includes/views/handlers/content_handler_relationship.inc \
-		includes/views/handlers/content_handler_sort.inc \
 		includes/views/handlers/content_plugin_display_simple.inc \
 		includes/views/handlers/content_plugin_style_php_array_ac.inc \
 		includes/views/content.views.inc \
 		includes/views/content.views_convert.inc \
-		includes/content.admin.inc \
-		includes/content.crud.inc \
-		includes/content.devel.inc \
-		includes/content.diff.inc \
-		includes/content.node_form.inc \
-		includes/content.panels.inc \
-		includes/content.rules.inc \
-		includes/content.token.inc \
 		modules/content_copy/translations/modules-content_copy.de.po \
 		modules/content_copy/translations/modules-content_copy.fr.po \
 		modules/content_copy/translations/modules-content_copy.hu.po \
+		modules/content_copy/translations/modules-content_copy.nl.po \
 		modules/content_copy/translations/modules-content_copy.pot \
+		modules/content_copy/translations/modules-content_copy.sv.po \
 		modules/content_copy/content_copy.info \
 		modules/content_copy/content_copy.module \
 		modules/content_copy/content_copy_export_form.tpl.php \
-		modules/content_multigroup/translations/content_multigroup.de.po \
-		modules/content_multigroup/translations/modules-content_multigroup.pot \
 		modules/content_multigroup/README.txt \
-		modules/content_multigroup/content_multigroup.css \
-		modules/content_multigroup/content_multigroup.module \
 		modules/content_permissions/translations/modules-content_permissions.de.po \
 		modules/content_permissions/translations/modules-content_permissions.fr.po \
 		modules/content_permissions/translations/modules-content_permissions.hu.po \
+		modules/content_permissions/translations/modules-content_permissions.nl.po \
 		modules/content_permissions/translations/modules-content_permissions.pot \
+		modules/content_permissions/translations/modules-content_permissions.sv.po \
 		modules/content_permissions/content_permissions.info \
 		modules/content_permissions/content_permissions.install \
 		modules/content_permissions/content_permissions.module \
-		modules/fieldgroup/translations/modules-fieldgroup.de.po \
-		modules/fieldgroup/translations/modules-fieldgroup.fr.po \
-		modules/fieldgroup/translations/modules-fieldgroup.hu.po \
-		modules/fieldgroup/translations/modules-fieldgroup.pot \
+		modules/fieldgroup/panels/content_types/content_fieldgroup.inc \
+		modules/fieldgroup/panels/content_types/icon_cck_field_group.png \
 		modules/fieldgroup/fieldgroup-rtl.css \
 		modules/fieldgroup/fieldgroup-simple.tpl.php \
 		modules/fieldgroup/fieldgroup.css \
 		modules/fieldgroup/fieldgroup.info \
 		modules/fieldgroup/fieldgroup.install \
 		modules/fieldgroup/fieldgroup.module \
-		modules/fieldgroup/fieldgroup.panels.inc \
+		modules/fieldgroup/translations/modules-fieldgroup-panels-content_types.de.po \
+		modules/fieldgroup/translations/modules-fieldgroup-panels-content_types.pot \
+		modules/fieldgroup/translations/modules-fieldgroup.de.po \
+		modules/fieldgroup/translations/modules-fieldgroup.fr.po \
+		modules/fieldgroup/translations/modules-fieldgroup.hu.po \
+		modules/fieldgroup/translations/modules-fieldgroup.nl.po \
+		modules/fieldgroup/translations/modules-fieldgroup.pot \
+		modules/fieldgroup/translations/modules-fieldgroup.sv.po \
 		modules/nodereference/help/nodereference.help.ini \
 		modules/nodereference/help/nodereference.html \
 		modules/nodereference/nodereference.info \
 		modules/nodereference/nodereference.install \
 		modules/nodereference/nodereference.module \
 		modules/nodereference/nodereference.rules.inc \
+		modules/nodereference/panels/relationships/node_from_noderef.inc \
+		modules/nodereference/translations/modules-nodereference-panels-relationships.de.po \
+		modules/nodereference/translations/modules-nodereference-panels-relationships.pot \
 		modules/nodereference/translations/modules-nodereference.de.po \
 		modules/nodereference/translations/modules-nodereference.fr.po \
 		modules/nodereference/translations/modules-nodereference.hu.po \
+		modules/nodereference/translations/modules-nodereference.nl.po \
 		modules/nodereference/translations/modules-nodereference.pot \
+		modules/nodereference/translations/modules-nodereference.sv.po \
 		modules/number/help/number.help.ini \
 		modules/number/help/number.html \
 		modules/number/number.info \
@@ -133,7 +142,9 @@
 		modules/number/translations/modules-number.de.po \
 		modules/number/translations/modules-number.fr.po \
 		modules/number/translations/modules-number.hu.po \
+		modules/number/translations/modules-number.nl.po \
 		modules/number/translations/modules-number.pot \
+		modules/number/translations/modules-number.sv.po \
 		modules/optionwidgets/help/optionwidgets.help.ini \
 		modules/optionwidgets/help/optionwidgets.html \
 		modules/optionwidgets/optionwidgets.info \
@@ -142,7 +153,9 @@
 		modules/optionwidgets/translations/modules-optionwidgets.de.po \
 		modules/optionwidgets/translations/modules-optionwidgets.fr.po \
 		modules/optionwidgets/translations/modules-optionwidgets.hu.po \
+		modules/optionwidgets/translations/modules-optionwidgets.nl.po \
 		modules/optionwidgets/translations/modules-optionwidgets.pot \
+		modules/optionwidgets/translations/modules-optionwidgets.sv.po \
 		modules/text/help/text.help.ini \
 		modules/text/help/text.html \
 		modules/text/text.info \
@@ -151,17 +164,24 @@
 		modules/text/translations/modules-text.de.po \
 		modules/text/translations/modules-text.fr.po \
 		modules/text/translations/modules-text.hu.po \
+		modules/text/translations/modules-text.nl.po \
 		modules/text/translations/modules-text.pot \
+		modules/text/translations/modules-text.sv.po \
 		modules/userreference/help/userreference.help.ini \
 		modules/userreference/help/userreference.html \
 		modules/userreference/userreference.info \
 		modules/userreference/userreference.install \
 		modules/userreference/userreference.module \
 		modules/userreference/userreference.rules.inc \
+		modules/userreference/panels/relationships/user_from_userref.inc \
+		modules/userreference/translations/modules-userreference-panels-relationships.de.po \
+		modules/userreference/translations/modules-userreference-panels-relationships.pot \
 		modules/userreference/translations/modules-userreference.de.po \
 		modules/userreference/translations/modules-userreference.fr.po \
 		modules/userreference/translations/modules-userreference.hu.po \
+		modules/userreference/translations/modules-userreference.nl.po \
 		modules/userreference/translations/modules-userreference.pot \
+		modules/userreference/translations/modules-userreference.sv.po \
 		tests/content.crud.test \
 		theme/content-admin-display-overview-form.tpl.php \
 		theme/content-admin-field-overview-form.tpl.php \
@@ -190,19 +210,27 @@
 		translations/content.de.po \
 		translations/content.fr.po \
 		translations/content.pot \
+		translations/content.sv.po \
 		translations/es.po \
 		translations/examples.fr.po \
+		translations/fr.po \
 		translations/general.de.po \
 		translations/general.fr.po \
 		translations/general.pot \
+		translations/general.sv.po \
 		translations/hu.po \
+		translations/includes-panels-content_types.de.po \
+		translations/includes-panels-content_types.pot \
 		translations/includes-views-handlers.de.po \
 		translations/includes-views-handlers.pot \
+		translations/includes-views-handlers.sv.po \
 		translations/includes-views.de.po \
 		translations/includes-views.pot \
+		translations/includes-views.sv.po \
 		translations/includes.de.po \
 		translations/includes.fr.po \
 		translations/includes.pot \
+		translations/includes.sv.po \
 		translations/it.po \
 		translations/ja.po \
 		translations/nl.po \
@@ -210,9 +238,13 @@
 		translations/ru.po \
 		translations/theme.de.po \
 		translations/theme.pot \
+		translations/theme.sv.po \
+		translations/uk-ua.po \
+		translations/uk.po \
 		translations/vi.po
-DOC_FILES=	CHANGELOG.txt DEVELOPER.txt LICENSE.txt README.txt \
-		UPGRADE.txt
+DOC_FILES=	CHANGELOG.txt DEVELOPER.txt README.txt UPGRADE.txt \
+		LICENSE.txt
+
 
 .include <bsd.port.pre.mk>
 .include "${.CURDIR}/../../www/drupal5/bsd.drupal.mk"
diff -Nur drupal6-cck.old/distinfo drupal6-cck/distinfo
--- drupal6-cck.old/distinfo	2009-04-11 15:06:44.000000000 -0300
+++ drupal6-cck/distinfo	2010-02-09 11:09:31.000000000 -0200
@@ -1,3 +1,3 @@
-MD5 (drupal/cck-6.x-2.2.tar.gz) = 0fe5f8e6d1292fcfe98530a3dea0a1a1
-SHA256 (drupal/cck-6.x-2.2.tar.gz) = c271a716da1c81ccb8a31228233bf9f567983e368df22fcc06a51cfaf37cda63
-SIZE (drupal/cck-6.x-2.2.tar.gz) = 357660
+MD5 (drupal/cck-6.x-2.6.tar.gz) = 3e719a786f7fed2c6e7bd341a508ca60
+SHA256 (drupal/cck-6.x-2.6.tar.gz) = 0be0dd364096bc3962bc7fd4b675d4d5d337ec04f921663fc4f622ada16e31c2
+SIZE (drupal/cck-6.x-2.6.tar.gz) = 423510
Comment 1 Martin Wilke freebsd_committer 2010-02-09 14:22:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-02-10 14:38:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!